/// <reference types="vitest" />
import { defineConfig } from 'vite'
import tailwindcss from '@tailwindcss/vite'
import vue from '@vitejs/plugin-vue'
import path from 'node:path'

export default defineConfig({
  plugins: [
    vue(),
    tailwindcss(),
  ],
  resolve: {
    alias: {
      '@': path.resolve(__dirname, 'src'), // ← apunta a /ui/src
    },
  },
  test: {
    globals: true,
    environment: 'jsdom',
    setupFiles: [], // Can add setup files here if needed later
  },
})
